## javax.faces.component
Class UISelectBoolean

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectBoolean

All Implemented Interfaces:
  EditableValueHolder, StateHolder, ValueHolder

Direct Known Subclasses:
  HtmlSelectBooleanCheckbox

public class UISelectBoolean
extends UIInput

see Javadoc of JSF Specification

Version:
  $Revision: 167580 $ $Date: 2005-02-08 13:15:04 -0500 (Tue, 08 Feb 2005) $
Author:
  Manfred Geiler (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`UISelectBoolean()`

Method Summary
`java.lang.String` `getFamily()`
`ValueBinding` `getValueBinding(java.lang.String name)`
`boolean` `isSelected()`
`void` `setSelected(boolean selected)`
`void` `setValueBinding(java.lang.String name, ValueBinding binding)`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, restoreState, saveState, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UISelectBoolean

    public UISelectBoolean()

Method Detail

### setSelected

    public void setSelected(boolean selected)

### isSelected

    public boolean isSelected()

### getValueBinding

    public ValueBinding getValueBinding(java.lang.String name)

  Overrides:
    `getValueBinding` in class `UIComponentBase`

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                ValueBinding binding)

  Overrides:
    `setValueBinding` in class `UIComponentBase`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIInput`